
Redmine - Defect #40303

Layout distortion in issue list descriptions with code blocks

2024-02-23 09:23 - Yasu Saku

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 6.0.1   

Resolution: Fixed Affected version: 5.1.1

Description

I believe the following incorrect css is being applied to the code block in the issue list block column.

https://www.redmine.org/projects/redmine/repository/svn/entry/branches/5.1-stable/public/stylesheets/application.css#L293

table.issues td.block_column span {font-weight: bold; display: block; margin-bottom: 4px;}

table.issues td.block_column pre {white-space:normal;}

 For example:

https://redmine.org/projects/redmine/issues?utf8=%E2%9C%93&set_filter=1&sort=id%3Adesc&f%5B%5D=issue_id&op%5Bissue_id

%5D=%3D&v%5Bissue_id%5D%5B%5D=40014&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%

5D=updated_on&c%5B%5D=category&group_by=&c%5B%5D=description&t%5B%5D=

 clipboard-202402231722-kyavh.png 

Associated revisions

Revision 23255 - 2024-11-12 09:18 - Go MAEDA

Fix layout distortion in issue list descriptions with code blocks (#40303).

Revision 23258 - 2024-11-12 09:45 - Marius BĂLTEANU

Merge r23255 from trunk to 6.0-stable (#40303).

History

#1 - 2024-11-06 08:30 - Go MAEDA

- File 40303.patch added

- File clipboard-202411061629-cbmeu.png added

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

The attached patch can fix the issue.

 clipboard-202411061629-cbmeu.png 

#2 - 2024-11-06 14:16 - Yasu Saku

Mr. Go MAEDA

Thank you for your support in resolving this issue.

#3 - 2024-11-09 08:41 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.1

Setting the target version to 6.0.1.

#4 - 2024-11-12 09:19 - Go MAEDA

- Subject changed from Design of the code block in the issue list block column is broken to Layout distortion in issue list descriptions with code blocks

- Status changed from Confirmed to Resolved
https://www.redmine.org/users/332


- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23255.

#5 - 2024-11-12 09:45 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Go MAEDA, I've merged this to 6.0-stable.

Files

clipboard-202402231722-kyavh.png 25 KB 2024-02-23 Yasu Saku

40303.patch 1.05 KB 2024-11-06 Go MAEDA
